# ISColoring

sets of IS's that define a coloring of the underlying indices

### Synopsis

    struct _n_ISColoring {
      PetscInt        refct;
      PetscInt        n;                /* number of colors */
      IS              *is;              /* for each color indicates columns */
      MPI_Comm        comm;
      ISColoringValue *colors;          /* for each column indicates color */
      PetscInt        N;                /* number of columns */
      ISColoringType  ctype;
    };

### Notes

One should not access the *is records below directly because they may not yet have been created. One should use ISColoringGetIS() to make sure they are created when needed.

### See Also

ISColoringCreate(), ISColoringGetIS(), ISColoringView(), ISColoringGetIS()

Level:intermediate
Location: src/vec/is/../../../include/petscis.h
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages